"use strict";
/**
 * @module Session.messages
 */
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * The priority of the message. Higher priorities are delivered faster.
 *
 * @deprecated since 6.2
 *
 *             This is only used within one-way messaging, which is deprecated
 *             from this release. This enum will be removed in a future
 *             release.
 */
var Priority;
(function (Priority) {
    /**
     * Indicates that messages should be delivered with normal priority.
     */
    Priority[Priority["NORMAL"] = 0] = "NORMAL";
    /**
     * Indicates that messages should be delivered with high priority.
     */
    Priority[Priority["HIGH"] = 1] = "HIGH";
    /**
     * Indicates that messages should be delivered with low priority.
     */
    Priority[Priority["LOW"] = 2] = "LOW";
})(Priority = exports.Priority || (exports.Priority = {}));
