"use strict";
/**
 * @module Features.Security
 */
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Implementation of {@link SystemPrincipal}
 *
 * @inheritdoc
 */
var SecurityConfigurationImpl = /** @class */ (function () {
    /**
     * Create a SecurityConfigurationImpl instance
     *
     * @param  anonymous  the list of default roles for anonymous sessions
     * @param  named      the list of default roles for named sessions
     * @param  roles      the list of all defined roles
     */
    function SecurityConfigurationImpl(anonymous, named, roles) {
        this.anonymous = anonymous;
        this.named = named;
        this.roles = roles;
    }
    /**
     * Convert object to string
     *
     * @return a string representation of the SecurityConfiguration
     */
    SecurityConfigurationImpl.prototype.toString = function () {
        return "\"SecurityConfiguration [anonymous=" + this.anonymous + ", named=" + this.named + ", roles=" + this.roles + "]";
    };
    return SecurityConfigurationImpl;
}());
exports.SecurityConfigurationImpl = SecurityConfigurationImpl;
