"use strict";
/**
 * @module Services.Send
 */
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var ContentSerialiser = require("content/serialiser");
var Codec = require("io/codec");
var serialiser_1 = require("serialisers/serialiser");
var OptionsSerialiser = require("./send-options-serialiser");
/**
 * Serialiser for {@link FilterSendRequest}
 */
var FilterSendRequestSerialiserClass = /** @class */ (function (_super) {
    __extends(FilterSendRequestSerialiserClass, _super);
    function FilterSendRequestSerialiserClass() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * Write a {@link FilterSendRequest} to the stream
     *
     * @param bos    the output stream
     * @param value  the {@link FilterSendRequest} to be written
     */
    FilterSendRequestSerialiserClass.prototype.write = function (bos, value) {
        Codec.writeString(bos, value.filter);
        Codec.writeString(bos, value.path);
        ContentSerialiser.write(bos, value.content);
        OptionsSerialiser.write(bos, value.options);
    };
    return FilterSendRequestSerialiserClass;
}(serialiser_1.AbstractSerialiser));
exports.FilterSendRequestSerialiserClass = FilterSendRequestSerialiserClass;
/**
 * The {@link FilterSendRequestSerialiser} singleton
 */ // tslint:disable-next-line:variable-name
exports.FilterSendRequestSerialiser = new FilterSendRequestSerialiserClass();
