"use strict";
/**
 * @module Services.Send
 */
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var Codec = require("io/codec");
var serialiser_1 = require("serialisers/serialiser");
var error_report_serialiser_1 = require("services/error-report-serialiser");
var filter_send_result_1 = require("./filter-send-result");
/**
 * Serialiser for {@link FilterSendResult}
 */
var FilterSendResultSerialiserClass = /** @class */ (function (_super) {
    __extends(FilterSendResultSerialiserClass, _super);
    function FilterSendResultSerialiserClass() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * Read a {@link FilterSendResult} from the stream
     *
     * @param bis  the input stream
     * @return     the {@link FilterSendResult} that was read
     */
    FilterSendResultSerialiserClass.prototype.read = function (bis) {
        var sent = Codec.readInt32(bis);
        var errors = Codec.readCollection(bis, error_report_serialiser_1.ErrorReportSerialiser.read);
        return new filter_send_result_1.FilterSendResult(sent, errors);
    };
    /**
     * Write a {@link FilterSendResult} to the stream
     *
     * @param bos    the output stream
     * @param value  the {@link FilterSendResult} to be written
     */
    FilterSendResultSerialiserClass.prototype.write = function (bos, value) {
        Codec.writeInt32(bos, value.sent);
        Codec.writeCollection(bos, value.errors, error_report_serialiser_1.ErrorReportSerialiser.write);
    };
    return FilterSendResultSerialiserClass;
}(serialiser_1.AbstractSerialiser));
exports.FilterSendResultSerialiserClass = FilterSendResultSerialiserClass;
/**
 * The {@link FilterSendResultSerialiser} singleton
 */ // tslint:disable-next-line:variable-name
exports.FilterSendResultSerialiser = new FilterSendResultSerialiserClass();
