"use strict";
/**
 * @module Services.Send
 */
Object.defineProperty(exports, "__esModule", { value: true });
var require_non_null_1 = require("util/require-non-null");
/**
 * Server response from a SEND_TO_FILTER or CHANGE_AUTHORISATION_ROLES_FILTER request.
 */
var FilterSendResult = /** @class */ (function () {
    /**
     * Create a new FilterSendResult instance
     *
     * @param sent  the number of sessions that the message was sent to
     * @param errors  any errors that occurred
     */
    function FilterSendResult(sent, errors) {
        this.sent = require_non_null_1.requireNonNull(sent, 'sent');
        this.errors = require_non_null_1.requireNonNull(errors, 'errors');
    }
    return FilterSendResult;
}());
exports.FilterSendResult = FilterSendResult;
