"use strict";
/**
 * @module Services.Send
 */
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var ContentSerialiser = require("content/serialiser");
var Codec = require("io/codec");
var serialiser_1 = require("serialisers/serialiser");
var OptionsSerialiser = require("./send-options-serialiser");
var send_request_1 = require("./send-request");
/**
 * Serialiser for {@link SendRequest}
 */
var SendRequestSerialiserClass = /** @class */ (function (_super) {
    __extends(SendRequestSerialiserClass, _super);
    function SendRequestSerialiserClass() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * Read a {@link SendRequest} from the stream
     *
     * @param bis  the input stream
     * @return     the {@link SendRequest} that was read
     */
    SendRequestSerialiserClass.prototype.read = function (bis) {
        var path = Codec.readString(bis);
        var content = ContentSerialiser.read(bis);
        var options = OptionsSerialiser.read(bis);
        return new send_request_1.SendRequest(path, content, options);
    };
    /**
     * Write a {@link SendRequest} to the stream
     *
     * @param bos    the output stream
     * @param value  the {@link SendRequest} to be written
     */
    SendRequestSerialiserClass.prototype.write = function (bos, value) {
        Codec.writeString(bos, value.path);
        ContentSerialiser.write(bos, value.content);
        OptionsSerialiser.write(bos, value.options);
    };
    return SendRequestSerialiserClass;
}(serialiser_1.AbstractSerialiser));
exports.SendRequestSerialiserClass = SendRequestSerialiserClass;
/**
 * The {@link SendRequestSerialiser} singleton
 */ // tslint:disable-next-line:variable-name
exports.SendRequestSerialiser = new SendRequestSerialiserClass();
