"use strict";
/**
 * @module Services.Send
 */
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Data type for a SEND_RECEIVER_CLIENT request.
 */
var SessionForwardSendRequest = /** @class */ (function () {
    /**
     * Create a new SessionForwardSendRequest instance
     *
     * @param cid  the conversation ID
     * @param path  the message path
     * @param content  the message payload
     * @param sender  the sender session
     * @param sessionProperties  the session properties
     * @param options  the send options
     */
    function SessionForwardSendRequest(cid, path, content, sender, sessionProperties, options) {
        this.cid = cid;
        this.path = path;
        this.content = content;
        this.sender = sender;
        this.sessionProperties = sessionProperties;
        this.options = options;
    }
    return SessionForwardSendRequest;
}());
exports.SessionForwardSendRequest = SessionForwardSendRequest;
