"use strict";
/**
 * @module Services.Send
 */
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var ContentSerialiser = require("content/serialiser");
var Codec = require("io/codec");
var serialiser_1 = require("serialisers/serialiser");
var session_id_serialiser_1 = require("session/session-id-serialiser");
var OptionsSerialiser = require("./send-options-serialiser");
/**
 * Serialiser for {@link SessionSendRequest}
 */
var SessionSendRequestSerialiserClass = /** @class */ (function (_super) {
    __extends(SessionSendRequestSerialiserClass, _super);
    function SessionSendRequestSerialiserClass() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * Write a {@link SessionSendRequest} to the stream
     *
     * @param bos    the output stream
     * @param value  the {@link SessionSendRequest} to be written
     */
    SessionSendRequestSerialiserClass.prototype.write = function (bos, value) {
        Codec.writeString(bos, value.path);
        ContentSerialiser.write(bos, value.content);
        session_id_serialiser_1.SessionIdSerialiser.write(bos, value.session);
        OptionsSerialiser.write(bos, value.options);
    };
    return SessionSendRequestSerialiserClass;
}(serialiser_1.AbstractSerialiser));
exports.SessionSendRequestSerialiserClass = SessionSendRequestSerialiserClass;
/**
 * The {@link SessionSendRequestSerialiser} singleton
 */ // tslint:disable-next-line:variable-name
exports.SessionSendRequestSerialiser = new SessionSendRequestSerialiserClass();
