"use strict";
/**
 * @module Services.Send
 */
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Data type for a SEND_TO_SESSION request.
 */
var SessionSendRequest = /** @class */ (function () {
    /**
     * Create a new SessionSendRequest instance
     *
     * @param cid  the conversation ID
     * @param path  the message path
     * @param content  the message payload
     * @param recipient  the ...
     * @param options  the send options
     */
    function SessionSendRequest(cid, path, content, session, options) {
        this.cid = cid;
        this.path = path;
        this.content = content;
        this.session = session;
        this.options = options;
    }
    return SessionSendRequest;
}());
exports.SessionSendRequest = SessionSendRequest;
