"use strict";
/**
 * @module Topics
 */
Object.defineProperty(exports, "__esModule", { value: true });
var Codec = require("io/codec");
/**
 * Read Record Topic Details from the stream
 *
 * @param bis the input stream
 * @return    the Record Topic Details that were read
 */
function read(bis) {
    var emptyFieldValue = Codec.readString(bis);
    return {
        emptyFieldValue: emptyFieldValue
    };
}
exports.read = read;
/**
 * Write Record Topic Details to the stream
 *
 * @param bos   the output stream
 * @param value the Record Topic Details to be written
 */
function write(bos, value) {
    Codec.writeString(bos, value.emptyFieldValue);
}
exports.write = write;
