"use strict";
/**
 * @module Topics
 */
Object.defineProperty(exports, "__esModule", { value: true });
var Codec = require("io/codec");
/**
 * Read Routing Topic Details from the stream
 *
 * @param bis the input stream
 * @return    the Routing Topic Details that were read
 */
function read(bis) {
    var handler = Codec.readString(bis);
    return {
        handler: handler
    };
}
exports.read = read;
/**
 * Write Routing Topic Details to the stream
 *
 * @param bos   the output stream
 * @param value the Routing Topic Details to be written
 */
function write(bos, value) {
    Codec.writeString(bos, value.handler);
}
exports.write = write;
