"use strict";
/**
 * @module Topics
 */
Object.defineProperty(exports, "__esModule", { value: true });
var Codec = require("io/codec");
/**
 * Read Slave Master Topic Details from the stream
 *
 * @param bis the input stream
 * @return    the Slave Master Topic Details that were read
 */
function read(bis) {
    var slaveMasterTopic = Codec.readString(bis);
    return {
        slaveMasterTopic: slaveMasterTopic
    };
}
exports.read = read;
/**
 * Write Slave Master Topic Details to the stream
 *
 * @param bos   the output stream
 * @param value the Slave Master Topic Details to be written
 */
function write(bos, value) {
    Codec.writeString(bos, value.slaveMasterTopic);
}
exports.write = write;
